de.dhbwstuttgart.syntaxtree.statement

## Class Binary

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.BinaryExpr
          - - de.dhbwstuttgart.syntaxtree.statement.Binary

All Implemented Interfaces:
  IItemWithOffset, Typeable

    public class Binary
    extends BinaryExpr

### Field Summary

Fields
`Expr` `expr1`
`Expr` `expr2`
`Operator` `op`
`protected static Logger` `parserlog` Logger: log4j

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`usedid`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`inferencelog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset, type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`Binary(int offset, int variableLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expr` `get_Expr1()`
`Expr` `get_Expr2()`
`java.lang.String` `get_Name()`
`Operator` `get_Operator()`
`Menge<SyntaxTreeNode>` `getChildren()`
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `set_Expr1(Expr exp)`
`void` `set_Expr2(Expr exp)`
`void` `set_Operator(Operator Op)`
`ConstraintsSet` `TYPEExpr(TypeAssumptions assumptions)`
`void` `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TYPEStmt`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`getTypeLineNumber, getTypeName`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parserlog

    protected static Logger parserlog

Logger: log4j

#### expr1

    public Expr expr1

#### op

    public Operator op

#### expr2

    public Expr expr2

### Constructor Detail

#### Binary

    public Binary(int offset,
                  int variableLength)

### Method Detail

#### set_Expr1

    public void set_Expr1(Expr exp)

#### set_Expr2

    public void set_Expr2(Expr exp)

#### set_Operator

    public void set_Operator(Operator Op)

#### get_Name

    public java.lang.String get_Name()

Specified by:
  `get_Name` in class `Expr`

#### get_Operator

    public Operator get_Operator()

#### get_Expr1

    public Expr get_Expr1()

#### get_Expr2

    public Expr get_Expr2()

#### wandleRefTypeAttributes2GenericAttributes

    public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                          Menge<GenericTypeVar> genericMethodParameters)

Specified by:
  `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

#### TYPEExpr

    public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

Specified by:
  `TYPEExpr` in class `Expr`

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Statement`

#### getChildren

    public Menge<SyntaxTreeNode> getChildren()

Specified by:
  `getChildren` in class `SyntaxTreeNode`